## krita 6.0.0~beta1~ufsg

=== libs/surfacecolormanagementapi/CMakeLists.txt ===
set(kritasurfacecolormanagementapi_LIB_SRCS
    KisColorimetryUtils.cpp
    surfacecolormanagement/KisOutputColorInfoInterface.cpp
    surfacecolormanagement/KisSurfaceColorimetry.cpp
    surfacecolormanagement/KisSurfaceColorimetryIccUtils.cpp
    surfacecolormanagement/KisSurfaceColorManagerInterface.cpp
    surfacecolormanagement/KisSurfaceColorManagementInfo.cpp
)

kis_add_library(kritasurfacecolormanagementapi SHARED ${kritasurfacecolormanagementapi_LIB_SRCS})
generate_export_header(kritasurfacecolormanagementapi BASE_NAME kritasurfacecolormanagementapi)

target_link_libraries(kritasurfacecolormanagementapi
    PRIVATE
    kritaglobal
    kritapigment
    ${QT_QTCORE_LIBRARY})

set_target_properties(kritasurfacecolormanagementapi PROPERTIES
    VERSION ${GENERIC_KRITA_LIB_VERSION} SOVERSION ${GENERIC_KRITA_LIB_SOVERSION}
)

install(TARGETS kritasurfacecolormanagementapi  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== libs/global/tests/CMakeLists.txt ===
kis_add_tests(KisSignalAutoConnectionTest.cpp
    KisSignalCompressorTest.cpp
    KisForestTest.cpp
    KisRectsGridTest.cpp
    KisLazyStorageTest.cpp
    KisValueCacheTest.cpp
    KisHistoryListTest.cpp
    KisAdaptedLockTest.cpp
    KisGlobalTest.cpp
    LINK_LIBRARIES kritaglobal kritatestsdk
    )

=== libs/resources/tests/CMakeLists.txt ===
kis_add_tests(
    TestResourceCacheDb.cpp
    TestResourceLoaderRegistry.cpp
    TestResourceLocator.cpp
    TestResourceStorage.cpp
    TestFolderStorage.cpp
    TestMemoryStorage.cpp
    TestTag.cpp
    TestBundleStorage.cpp
    TestResourceModel.cpp
    TestTagFilterResourceProxyModel.cpp
    TestTagModel.cpp
    TestResourceTypeModel.cpp
    TestStorageModel.cpp
    TestResourceSearchBoxFilter.cpp
    TestStorageFilterProxyModel.cpp
    TestTagResourceModel.cpp
    LINK_LIBRARIES kritaglobal kritapigment kritaplugin kritaresources kritawidgets kritaversion KF${KF_MAJOR}::ConfigCore Qt${QT_MAJOR_VERSION}::Sql kritatestsdk
    )

=== plugins/impex/gif/tests/CMakeLists.txt ===
kis_add_test(
    KisGifTest.cpp
    TEST_NAME KisGifTest
    LINK_LIBRARIES kritaui kritatestsdk
    )

=== plugins/impex/heif/tests/CMakeLists.txt ===
if(APPLE)
    krita_add_broken_unit_test(
        KisHeifTest.cpp
        TEST_NAME KisHeifTest
        LINK_LIBRARIES kritaui kritatestsdk
    )

else(APPLE)

    kis_add_test(
        KisHeifTest.cpp
        TEST_NAME KisHeifTest
        LINK_LIBRARIES kritaui kritatestsdk
    )


endif()

=== plugins/impex/raw/tests/CMakeLists.txt ===
kis_add_test(
    KisRawTest.cpp
    TEST_NAME KisRawTest
    LINK_LIBRARIES kritaui kritatestsdk
    )

=== plugins/impex/xcf/tests/CMakeLists.txt ===
kis_add_test(
    kis_xcf_test.cpp
    TEST_NAME kis_xcf_test
    LINK_LIBRARIES kritaui kritatestsdk
    )

=== debian/changelog ===
krita (1:6.0.0~beta1~ufsg-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for Python 3.14 as default.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Mar 2026 15:39:22 +0000

krita (1:6.0.0~beta1~ufsg-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:46:26 +0000

krita (1:6.0.0~beta1~ufsg-0ubuntu1) resolute; urgency=medium

  * New upstream release 6.0.0-beta1
  * debian/control: Update to new KF6/Qt6 dependencies
  * debian/patches:
    - Drop patches that are now fixed upstream
    - Add patch to fix build with xsimd 13

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 05 Feb 2026 14:19:42 -0800

=== debian/control ===
Source: krita
Section: kde
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev (>= 1.69~),
               libeigen3-dev (>= 3.3.0~),
               libexiv2-dev (>= 0.16~),
               libfftw3-dev,
               libfontconfig-dev (>= 2.13.1~),
               libfreetype-dev (>= 2.11.0~),
               libfribidi-dev,
               libgif-dev,
               libgsl-dev,
               libharfbuzz-dev (>= 4.0.0~),
               libheif-dev (>= 1.11.0~),
               libimmer-dev,
               libjpeg-dev,
               libjxl-dev (>= 0.7.0-1~) [linux-any],
               libkf6colorscheme-dev (>= 6.0.0),
               libkf6completion-dev (>= 6.0.0),
               libkf6config-dev (>= 6.0.0),
               libkf6coreaddons-dev (>= 6.0.0),
               libkf6crash-dev (>= 6.0.0),
               libkf6guiaddons-dev (>= 6.0.0),
               libkf6i18n-dev (>= 6.0.0),
               libkf6itemmodels-dev (>= 6.0.0),
               libkf6itemviews-dev (>= 6.0.0),
               libkdcrawqt6-dev,
               libkf6widgetsaddons-dev (>= 6.0.0),
               libkf6windowsystem-dev (>= 6.0.0),
               libkseexpr-dev (>= 4.0.0.0~),
               liblager-dev,
               liblcms2-dev (>= 2.4~),
               libmlt-dev (>= 7~),
               libmlt++-dev (>= 7~),
               libmypaint-dev (>= 1.4.0~),
               libopencolorio-dev (>= 1.1.1~),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt6-dev,
               libquazip1-qt6-dev (>= 0.6~),
               qt6-svg-dev (>= 6.0.0),
               libsdl2-dev,
               libtiff-dev,
               libturbojpeg0-dev (>= 1:2.1.3~),
               libunibreak-dev (>= 5.0~),
               libwebp-dev (>= 1.2.0~),
               libxcb-util-dev,
               libxcb1-dev,
               libxi-dev,
               libxsimd-dev (>= 8.1.0~),
               libzug-dev,
               pkgconf,
               pkg-kde-tools (>= 0.15.16),
               pyqt6-dev,
               python3-pyqt6,
               python3-dev,
               python3-sipbuild,
               qt6-base-dev (>= 6.0.0),
               qt6-base-private-dev (>= 6.0.0),
               qt6-declarative-dev (>= 6.0.0),
               qt6-wayland-private-dev,
               sip-tools,
               xtl-dev [any-amd64 any-arm64],
               zlib1g-dev
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-pyqt6, qml6-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

## krita 6.0.0~beta2~ufsg

=== plugins/tools/svgtexttool/CMakeLists.txt ===
project(SvgTextTool)
add_subdirectory(tests)

set(CMAKE_AUTORCC ON)

set (SvgTextTool_SRCS
    BasicXMLSyntaxHighlighter.cpp
    SvgCreateTextStrategy.cpp
    SvgInlineSizeChangeCommand.cpp
    SvgInlineSizeChangeStrategy.cpp
    SvgSelectTextStrategy.cpp
    SvgMoveTextCommand.cpp
    SvgMoveTextStrategy.cpp
    SvgTextChangeCommand.cpp
    SvgTextInsertCommand.cpp
    SvgTextInsertRichCommand.cpp
    SvgTextRemoveCommand.cpp
    SvgTextMergePropertiesRangeCommand.cpp
    SvgTextEditor.cpp
    SvgTextCursor.cpp
    SvgTextTool.cpp
    SvgTextToolFactory.cpp
    SvgTextShapeManagerBlocker.cpp
    SvgTextShortCuts.cpp
    SvgTextToolOptionsData.cpp
    SvgTextToolOptionsModel.cpp
    SvgTextToolOptionsManager.cpp
    SvgTextChangeTransformsOnRange.cpp
    SvgTextTypeSettingStrategy.cpp
    SvgTextRemoveTransformsFromRange.cpp
    SvgTextPathInfoChangeCommand.cpp
    SvgChangeTextPathInfoStrategy.cpp
    SvgTextOnPathDecorationHelper.cpp
    SvgChangeTextPaddingMarginStrategy.cpp

    glyphpalette/GlyphPaletteDialog.cpp
    glyphpalette/GlyphPaletteProxyModel.cpp
    glyphpalette/GlyphPaletteAltPopup.cpp
)

ki18n_wrap_ui(SvgTextTool_SRCS 
    WdgSvgTextEditor.ui
    WdgSvgTextSettings.ui
)

install( FILES
    SvgTextTool.action
    DESTINATION  ${KDE_INSTALL_DATADIR}/krita/actions
)

set(SvgTextTool_SOURCES
    Plugin.cpp
    svgtexttool.qrc
)


kis_add_library(krita_tool_svgtext_static STATIC ${SvgTextTool_SRCS})
kis_add_library(krita_tool_svgtext MODULE ${SvgTextTool_SOURCES})
generate_export_header(krita_tool_svgtext_static BASE_NAME kritatoolsvgtext)

target_link_libraries(krita_tool_svgtext_static
    kritaui
    kritaqmlwidgets
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickWidgets
    Qt${QT_MAJOR_VERSION}::QuickControls2
    Qt${QT_MAJOR_VERSION}::Qml
    KF${KF_MAJOR}::I18n)

target_link_libraries(krita_tool_svgtext PRIVATE krita_tool_svgtext_static)

install(TARGETS krita_tool_svgtext DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

=== plugins/impex/webp/tests/CMakeLists.txt ===
kis_add_test(
    kis_webp_test.cpp
    TEST_NAME kis_webp_test
    LINK_LIBRARIES kritametadata kritaui kritatestsdk
)

=== debian/changelog ===
krita (1:6.0.0~beta2~ufsg-0ubuntu1) resolute; urgency=medium

  * New upstream beta 6.0.0-beta2

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Tue, 03 Mar 2026 11:11:38 -0800

## krita 6.0.0~beta2%2Bdfsg

=== plugins/assistants/Assistants/tests/CMakeLists.txt ===
kis_add_tests(
    TestPerspectiveBasedAssistantHelper.cpp
    TestAssistants.cpp
    LINK_LIBRARIES kritaassistanttool_static kritatestsdk
    )
